Innhold
Innholdsliste 🔎︎

# Erl Funksjon

Returnerer linjenummeret der det oppstod en feil under programkjøring.

## Syntaks

    Erl

## Returverdi

Heltall

## Parameter

Erl-funksjonen returnerer bare et linjenummer, og ikke en linjeetikett.

## Eksempel:

    Sub ExampleError
    Ved feil GoTo ErrorHandler ' Konfigurer feilbehandler
    Dim iVar As Integer
    Dim sVar As String
    ' Feil forårsaket av ikke-eksisterende fil
        iVar = Freefile
        Open "\file9879.txt" For Input As #iVar
        Line Input #iVar, sVar
        Close #iVar
        Exit Sub
    ErrorHandler:
        MsgBox "Feil " & err & ": " & Error$ + chr(13) + "I Linje : " + Erl + chr(13) + Now , 16 ,"En feil oppstod"
    End Sub

Lignende emner

Feilhåndterings- funksjoner